com.holonplatform.vaadin.flow.device

## Interface UserAgentInspector

- All Superinterfaces:
    Serializable
  All Known Subinterfaces:
    DeviceInfo

  Deprecated.
  Use Vaadin `WebBrowser` instead

      @Deprecated
      public interface UserAgentInspector
      extends Serializable

  Interface to obtain client device and environment informations using browser provided `user-agent` and `accept` request headers.
  Since:
    5.0.0
  See Also:
    `VaadinSession.getBrowser()`

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserAgentInspector` | `create(String userAgentHeader, String httpAcceptHeader)` Deprecated. Build a UserAgentInspector instance using given header values
    `static UserAgentInspector` | `create(com.vaadin.flow.server.VaadinRequest request)` Deprecated. Build a UserAgentInspector instance using a `VaadinRequest`
    `String` | `getAcceptHeader()` Deprecated. Return the Accept header
    `String` | `getUserAgentHeader()` Deprecated. Return the User-Agent header
    `boolean` | `isAndroid()` Deprecated. Android check
    `boolean` | `isAndroidPhone()` Deprecated. Android phone check
    `boolean` | `isAndroidTablet()` Deprecated. Android tablet check
    `boolean` | `isGameConsole()` Deprecated. Game console check
    `boolean` | `isIOs()` Deprecated. iOS check
    `boolean` | `isIPad()` Deprecated. iPad check
    `boolean` | `isIPhone()` Deprecated. iPhone check
    `boolean` | `isIPod()` Deprecated. iPod check
    `boolean` | `isKindle()` Deprecated. Kindle check
    `boolean` | `isMobile()` Deprecated. Mobile device check
    `boolean` | `isNintendo()` Deprecated. Nintendo check
    `boolean` | `isPlaystation()` Deprecated. PlayStation check
    `boolean` | `isSmartphone()` Deprecated. Smartphone check
    `boolean` | `isTablet()` Deprecated. Tablet check
    `boolean` | `isWebKit()` Deprecated. WebKit check
    `boolean` | `isWindowsPhone()` Deprecated. Windows phone check
    `boolean` | `isXbox()` Deprecated. Xbox check

- - ### Method Detail

    - #### getUserAgentHeader

          String getUserAgentHeader()

      Deprecated.
      Return the User-Agent header
      Returns:
        User-agent header in lower case

    - #### getAcceptHeader

          String getAcceptHeader()

      Deprecated.
      Return the Accept header
      Returns:
        Accept header in lower case

    - #### isWebKit

          boolean isWebKit()

      Deprecated.
      WebKit check
      Returns:
        whether the current browser is based on WebKit

    - #### isIPhone

          boolean isIPhone()

      Deprecated.
      iPhone check
      Returns:
        whether the device is an iPhone

    - #### isIPad

          boolean isIPad()

      Deprecated.
      iPad check
      Returns:
        whether the device is an iPad

    - #### isIPod

          boolean isIPod()

      Deprecated.
      iPod check
      Returns:
        whether the device is an iPod touch

    - #### isIOs

          boolean isIOs()

      Deprecated.
      iOS check
      Returns:
        whether the device is an iOS device

    - #### isAndroid

          boolean isAndroid()

      Deprecated.
      Android check
      Returns:
        whether the device is an Android device

    - #### isAndroidPhone

          boolean isAndroidPhone()

      Deprecated.
      Android phone check
      Returns:
        whether the device is an Android phone

    - #### isAndroidTablet

          boolean isAndroidTablet()

      Deprecated.
      Android tablet check
      Returns:
        whether the device is an Android tablet

    - #### isWindowsPhone

          boolean isWindowsPhone()

      Deprecated.
      Windows phone check
      Returns:
        whether the device is a Windows phone

    - #### isKindle

          boolean isKindle()

      Deprecated.
      Kindle check
      Returns:
        whether the device is a Kindle

    - #### isPlaystation

          boolean isPlaystation()

      Deprecated.
      PlayStation check
      Returns:
        whether the device is a PlayStation

    - #### isNintendo

          boolean isNintendo()

      Deprecated.
      Nintendo check
      Returns:
        whether the device is a Nintendo

    - #### isXbox

          boolean isXbox()

      Deprecated.
      Xbox check
      Returns:
        whether the device is a Xbox

    - #### isGameConsole

          boolean isGameConsole()

      Deprecated.
      Game console check
      Returns:
        whether the device is a game console

    - #### isSmartphone

          boolean isSmartphone()

      Deprecated.
      Smartphone check
      Returns:
        whether the device is a Smartphone

    - #### isTablet

          boolean isTablet()

      Deprecated.
      Tablet check
      Returns:
        whether the device is a Tablet

    - #### isMobile

          boolean isMobile()

      Deprecated.
      Mobile device check
      Returns:
        whether the device is a mobile device

    - #### create

          static UserAgentInspector create(String userAgentHeader,
                                           String httpAcceptHeader)

      Deprecated.
      Build a UserAgentInspector instance using given header values
      Parameters:
        `userAgentHeader` - the User-Agent header
        `httpAcceptHeader` - the Accept header
      Returns:
        The `UserAgentInspector`

    - #### create

          static UserAgentInspector create(com.vaadin.flow.server.VaadinRequest request)

      Deprecated.
      Build a UserAgentInspector instance using a `VaadinRequest`
      Parameters:
        `request` - Vaadin request
      Returns:
        The `UserAgentInspector`

Copyright © 2019 The Holon Platform. All rights reserved.